# Global options:

[mypy]
install_types = True
disallow_untyped_defs = True
no_implicit_optional = True
check_untyped_defs = True
warn_return_any = True
show_error_codes = True 
warn_unused_ignores = True
warn_unused_configs = True
plugins = numpy.typing.mypy_plugin

disallow_incomplete_defs = True
disallow_untyped_decorators = False
disallow_any_unimported = False
ignore_missing_imports = True

# Per-module options:

; [mypy-mycode.foo.*]
; disallow_untyped_defs = True

; [mypy-somelibrary]
; ignore_missing_imports = True